Bug 986098 - RFE: one-time "check server" mode
RFE: one-time "check server" mode
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: chrony (Show other bugs)
rawhide
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Miroslav Lichvar
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-07-18 21:05 EDT by Matthew Miller
Modified: 2014-06-09 09:50 EDT (History)
2 users (show)

See Also:
Fixed In Version: chrony-1.30-0.1.pre1.fc21
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-06-09 09:50:07 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Matthew Miller 2013-07-18 21:05:05 EDT
Currently, Anaconda uses ntpdate to check whether a given ntpserver is available (without setting the time). 

https://fedoraproject.org/wiki/Changes/ntpdate

proposes to deprecate ntpdate. It would be nice if chrony had an equivalent command or mode, so that chrony can completely replace the ntp package (from which ntpdate is built).
Comment 1 Miroslav Lichvar 2013-07-19 03:02:48 EDT
That would be a nice feature, I'll see if we can get it included.

In the meantime you can use sntp, which is the replacement for ntpdate recommended by the NTP upstream.
Comment 2 Miroslav Lichvar 2014-04-09 11:04:06 EDT
This is now implemented in upstream git and it will be in chrony-1.30. It can be used like this:

# ./chronyd -Q "server 0.pool.ntp.org iburst"
2014-04-09T15:00:53Z chronyd version DEVELOPMENT starting
2014-04-09T15:00:53Z Initial frequency -13.273 ppm
2014-04-09T15:00:58Z System clock wrong by -0.013297 seconds (ignored)
2014-04-09T15:00:58Z chronyd exiting

A non-zero exit code indicates that no suitable servers could be reached.

Note You need to log in before you can comment on or make changes to this bug.